# Gameplay document

Description of Rift Exodus gameplay.

## Overview

Roguelite inspired by FTL. You drive a vehicule along the equatorial rift. If you get out the temperate belt, you loose your run. You can find modules and ressources along the way to improve your vehicule and overcome obstacles you may encounter.

## End of game

### Loosing conditions

- Every pilot is dead
	- Extreme weather (out of temperal belt)
	- Bad event

### Winning conditions

- End found
	- Underground city found
	- Space-ship found
	- etc.

## Vehicule

### Introduction

Your vehicule is highly modular. You can equip modules that you discover and harvest resources to fill your reservoirs up. Your vehicule configuration determines the amount of each resource you consume while moving, and can play a role in event appearance and / or outcome.

### Resources

The most useful resource is _mechanical energy_ which is needed to move your vehicule. Other resources can be harvest and stored by specific modules to this purpose.

- Mechanical energy : Consumed by _movers_ to move the vehicule.
- Heat
- Cold
- Wood
- Water
- Gas
- Electricity
- Radioactivity


### Modules

Each vehicule, depending on its size, has a maximum limit of number of modules.

#### Converter

These modules convert one or two types of resource to another.

- Piston engine : _gas_ → _mechanical energy_
- Stirling engine : _heat_ + _cold_ → _mechanical energy_
- Electric motor : _electricity_ → _mechanical energy_
- Furnace : _wood_ → _heat_
- Evaporator : _water_ → _cold_
- Atomic reactor : _radioactivity_ → _heat_
- Refiner : _wood_ + _water_ → _gas_

#### Container

A container stores a specified type of resource.

- Heat : Magma storage
- Cold : Liquid azote container
- Wood : Chest
- Water : Water tank
- Gas : Gas reservoir
- Electricity : Battery
- Radioactivity : Radioactive container

#### Collecters

A collecter is used to harvest resources.

##### Time collecters

Collect resource everywhere, but require time to perform.

- Interchange : harvest _heat_ or _cold_ depending on weather
- Condenser : harvest _water_ from air
- Solar panel : _electricity_

##### Biome collecters

Can fill up storage of a specific resource completely at once, but requires a specific biome.

- Magma collecter : _magma_ from _lava_
- Cold collecter : _cold_ from _ice_
- Saw : _wood_ from _forest_
- Pump : _water_ from _water_

#### Terraformer

Can modify types of map tiles.

- Drill : requires _mechanical energy_ to transform _mountain_ into _plain_
- Water canon : requires _water_ to transform _plain_ into _water_
- Magma canon : requires _magma_ to transform _water_ into _mountain_
- Freezer : requires _cold_ to transform _water_ into _ice_

#### Weapons

Can make damage during pursuits.

#### Movers

Consume _mechanical energy_ to move the vehicule during exploration phase.

##### Wheel

Energy consumption : low
Can cross water : no
Can cross mountain : no

##### Caterpillar track

Energy consumption : medium
Can cross water : no
Can cross mountain : yes

##### Hover

Energy consumption : medium
Can cross water : yes
Can cross mountain : no

##### Propeller

Energy consumption : high
Can cross water : yes
Can cross mountain : yes

### Class

Some vehicule categories.

#### Buggy

Tiniest vehicule to discover the game.

- 4 movers
- 3 slots

#### Discoverer

Small vehicule.

- 6 movers
- 6 slots

#### Cruiser

High class vehicule.

- 8 movers
- 12 slots

#### Cargo

Huge vehicule.

- 10 movers
- 24 slots

## Exploration phase

### Biomes

#### Desert

Flat and dry. More light for solar panels.

#### Plains

Flat and green.

#### Water

Difficult to cross.

#### Mountain

Difficult to cross. Give a extra bonus in visibility.

#### Forest

Slow down vehicules and reduce visibility range. Give opportunities to harvest bio resources.

### Travel

The cost to cross a tile depend of the equipment of your vehicule.
